module Data.SpirV.Reflect.Enums.SpirvBuiltin where

import Data.SpirV.Reflect.Enums.Common

newtype BuiltIn = BuiltIn Int32
  deriving newtype (Eq, Ord, Show, Enum, Bounded)

pattern BuiltInPosition :: BuiltIn
pattern BuiltInPosition = BuiltIn 0

pattern BuiltInPointSize :: BuiltIn
pattern BuiltInPointSize = BuiltIn 1

pattern BuiltInClipDistance :: BuiltIn
pattern BuiltInClipDistance = BuiltIn 3

pattern BuiltInCullDistance :: BuiltIn
pattern BuiltInCullDistance = BuiltIn 4

pattern BuiltInVertexId :: BuiltIn
pattern BuiltInVertexId = BuiltIn 5

pattern BuiltInInstanceId :: BuiltIn
pattern BuiltInInstanceId = BuiltIn 6

pattern BuiltInPrimitiveId :: BuiltIn
pattern BuiltInPrimitiveId = BuiltIn 7

pattern BuiltInInvocationId :: BuiltIn
pattern BuiltInInvocationId = BuiltIn 8

pattern BuiltInLayer :: BuiltIn
pattern BuiltInLayer = BuiltIn 9

pattern BuiltInViewportIndex :: BuiltIn
pattern BuiltInViewportIndex = BuiltIn 10

pattern BuiltInTessLevelOuter :: BuiltIn
pattern BuiltInTessLevelOuter = BuiltIn 11

pattern BuiltInTessLevelInner :: BuiltIn
pattern BuiltInTessLevelInner = BuiltIn 12

pattern BuiltInTessCoord :: BuiltIn
pattern BuiltInTessCoord = BuiltIn 13

pattern BuiltInPatchVertices :: BuiltIn
pattern BuiltInPatchVertices = BuiltIn 14

pattern BuiltInFragCoord :: BuiltIn
pattern BuiltInFragCoord = BuiltIn 15

pattern BuiltInPointCoord :: BuiltIn
pattern BuiltInPointCoord = BuiltIn 16

pattern BuiltInFrontFacing :: BuiltIn
pattern BuiltInFrontFacing = BuiltIn 17

pattern BuiltInSampleId :: BuiltIn
pattern BuiltInSampleId = BuiltIn 18

pattern BuiltInSamplePosition :: BuiltIn
pattern BuiltInSamplePosition = BuiltIn 19

pattern BuiltInSampleMask :: BuiltIn
pattern BuiltInSampleMask = BuiltIn 20

pattern BuiltInFragDepth :: BuiltIn
pattern BuiltInFragDepth = BuiltIn 22

pattern BuiltInHelperInvocation :: BuiltIn
pattern BuiltInHelperInvocation = BuiltIn 23

pattern BuiltInNumWorkgroups :: BuiltIn
pattern BuiltInNumWorkgroups = BuiltIn 24

pattern BuiltInWorkgroupSize :: BuiltIn
pattern BuiltInWorkgroupSize = BuiltIn 25

pattern BuiltInWorkgroupId :: BuiltIn
pattern BuiltInWorkgroupId = BuiltIn 26

pattern BuiltInLocalInvocationId :: BuiltIn
pattern BuiltInLocalInvocationId = BuiltIn 27

pattern BuiltInGlobalInvocationId :: BuiltIn
pattern BuiltInGlobalInvocationId = BuiltIn 28

pattern BuiltInLocalInvocationIndex :: BuiltIn
pattern BuiltInLocalInvocationIndex = BuiltIn 29

pattern BuiltInWorkDim :: BuiltIn
pattern BuiltInWorkDim = BuiltIn 30

pattern BuiltInGlobalSize :: BuiltIn
pattern BuiltInGlobalSize = BuiltIn 31

pattern BuiltInEnqueuedWorkgroupSize :: BuiltIn
pattern BuiltInEnqueuedWorkgroupSize = BuiltIn 32

pattern BuiltInGlobalOffset :: BuiltIn
pattern BuiltInGlobalOffset = BuiltIn 33

pattern BuiltInGlobalLinearId :: BuiltIn
pattern BuiltInGlobalLinearId = BuiltIn 34

pattern BuiltInSubgroupSize :: BuiltIn
pattern BuiltInSubgroupSize = BuiltIn 36

pattern BuiltInSubgroupMaxSize :: BuiltIn
pattern BuiltInSubgroupMaxSize = BuiltIn 37

pattern BuiltInNumSubgroups :: BuiltIn
pattern BuiltInNumSubgroups = BuiltIn 38

pattern BuiltInNumEnqueuedSubgroups :: BuiltIn
pattern BuiltInNumEnqueuedSubgroups = BuiltIn 39

pattern BuiltInSubgroupId :: BuiltIn
pattern BuiltInSubgroupId = BuiltIn 40

pattern BuiltInSubgroupLocalInvocationId :: BuiltIn
pattern BuiltInSubgroupLocalInvocationId = BuiltIn 41

pattern BuiltInVertexIndex :: BuiltIn
pattern BuiltInVertexIndex = BuiltIn 42

pattern BuiltInInstanceIndex :: BuiltIn
pattern BuiltInInstanceIndex = BuiltIn 43

pattern BuiltInSubgroupEqMask :: BuiltIn
pattern BuiltInSubgroupEqMask = BuiltIn 4416

pattern BuiltInSubgroupEqMaskKHR :: BuiltIn
pattern BuiltInSubgroupEqMaskKHR = BuiltIn 4416

pattern BuiltInSubgroupGeMask :: BuiltIn
pattern BuiltInSubgroupGeMask = BuiltIn 4417

pattern BuiltInSubgroupGeMaskKHR :: BuiltIn
pattern BuiltInSubgroupGeMaskKHR = BuiltIn 4417

pattern BuiltInSubgroupGtMask :: BuiltIn
pattern BuiltInSubgroupGtMask = BuiltIn 4418

pattern BuiltInSubgroupGtMaskKHR :: BuiltIn
pattern BuiltInSubgroupGtMaskKHR = BuiltIn 4418

pattern BuiltInSubgroupLeMask :: BuiltIn
pattern BuiltInSubgroupLeMask = BuiltIn 4419

pattern BuiltInSubgroupLeMaskKHR :: BuiltIn
pattern BuiltInSubgroupLeMaskKHR = BuiltIn 4419

pattern BuiltInSubgroupLtMask :: BuiltIn
pattern BuiltInSubgroupLtMask = BuiltIn 4420

pattern BuiltInSubgroupLtMaskKHR :: BuiltIn
pattern BuiltInSubgroupLtMaskKHR = BuiltIn 4420

pattern BuiltInBaseVertex :: BuiltIn
pattern BuiltInBaseVertex = BuiltIn 4424

pattern BuiltInBaseInstance :: BuiltIn
pattern BuiltInBaseInstance = BuiltIn 4425

pattern BuiltInDrawIndex :: BuiltIn
pattern BuiltInDrawIndex = BuiltIn 4426

pattern BuiltInPrimitiveShadingRateKHR :: BuiltIn
pattern BuiltInPrimitiveShadingRateKHR = BuiltIn 4432

pattern BuiltInDeviceIndex :: BuiltIn
pattern BuiltInDeviceIndex = BuiltIn 4438

pattern BuiltInViewIndex :: BuiltIn
pattern BuiltInViewIndex = BuiltIn 4440

pattern BuiltInShadingRateKHR :: BuiltIn
pattern BuiltInShadingRateKHR = BuiltIn 4444

pattern BuiltInBaryCoordNoPerspAMD :: BuiltIn
pattern BuiltInBaryCoordNoPerspAMD = BuiltIn 4992

pattern BuiltInBaryCoordNoPerspCentroidAMD :: BuiltIn
pattern BuiltInBaryCoordNoPerspCentroidAMD = BuiltIn 4993

pattern BuiltInBaryCoordNoPerspSampleAMD :: BuiltIn
pattern BuiltInBaryCoordNoPerspSampleAMD = BuiltIn 4994

pattern BuiltInBaryCoordSmoothAMD :: BuiltIn
pattern BuiltInBaryCoordSmoothAMD = BuiltIn 4995

pattern BuiltInBaryCoordSmoothCentroidAMD :: BuiltIn
pattern BuiltInBaryCoordSmoothCentroidAMD = BuiltIn 4996

pattern BuiltInBaryCoordSmoothSampleAMD :: BuiltIn
pattern BuiltInBaryCoordSmoothSampleAMD = BuiltIn 4997

pattern BuiltInBaryCoordPullModelAMD :: BuiltIn
pattern BuiltInBaryCoordPullModelAMD = BuiltIn 4998

pattern BuiltInFragStencilRefEXT :: BuiltIn
pattern BuiltInFragStencilRefEXT = BuiltIn 5014

pattern BuiltInViewportMaskNV :: BuiltIn
pattern BuiltInViewportMaskNV = BuiltIn 5253

pattern BuiltInSecondaryPositionNV :: BuiltIn
pattern BuiltInSecondaryPositionNV = BuiltIn 5257

pattern BuiltInSecondaryViewportMaskNV :: BuiltIn
pattern BuiltInSecondaryViewportMaskNV = BuiltIn 5258

pattern BuiltInPositionPerViewNV :: BuiltIn
pattern BuiltInPositionPerViewNV = BuiltIn 5261

pattern BuiltInViewportMaskPerViewNV :: BuiltIn
pattern BuiltInViewportMaskPerViewNV = BuiltIn 5262

pattern BuiltInFullyCoveredEXT :: BuiltIn
pattern BuiltInFullyCoveredEXT = BuiltIn 5264

pattern BuiltInTaskCountNV :: BuiltIn
pattern BuiltInTaskCountNV = BuiltIn 5274

pattern BuiltInPrimitiveCountNV :: BuiltIn
pattern BuiltInPrimitiveCountNV = BuiltIn 5275

pattern BuiltInPrimitiveIndicesNV :: BuiltIn
pattern BuiltInPrimitiveIndicesNV = BuiltIn 5276

pattern BuiltInClipDistancePerViewNV :: BuiltIn
pattern BuiltInClipDistancePerViewNV = BuiltIn 5277

pattern BuiltInCullDistancePerViewNV :: BuiltIn
pattern BuiltInCullDistancePerViewNV = BuiltIn 5278

pattern BuiltInLayerPerViewNV :: BuiltIn
pattern BuiltInLayerPerViewNV = BuiltIn 5279

pattern BuiltInMeshViewCountNV :: BuiltIn
pattern BuiltInMeshViewCountNV = BuiltIn 5280

pattern BuiltInMeshViewIndicesNV :: BuiltIn
pattern BuiltInMeshViewIndicesNV = BuiltIn 5281

pattern BuiltInBaryCoordKHR :: BuiltIn
pattern BuiltInBaryCoordKHR = BuiltIn 5286

pattern BuiltInBaryCoordNV :: BuiltIn
pattern BuiltInBaryCoordNV = BuiltIn 5286

pattern BuiltInBaryCoordNoPerspKHR :: BuiltIn
pattern BuiltInBaryCoordNoPerspKHR = BuiltIn 5287

pattern BuiltInBaryCoordNoPerspNV :: BuiltIn
pattern BuiltInBaryCoordNoPerspNV = BuiltIn 5287

pattern BuiltInFragSizeEXT :: BuiltIn
pattern BuiltInFragSizeEXT = BuiltIn 5292

pattern BuiltInFragmentSizeNV :: BuiltIn
pattern BuiltInFragmentSizeNV = BuiltIn 5292

pattern BuiltInFragInvocationCountEXT :: BuiltIn
pattern BuiltInFragInvocationCountEXT = BuiltIn 5293

pattern BuiltInInvocationsPerPixelNV :: BuiltIn
pattern BuiltInInvocationsPerPixelNV = BuiltIn 5293

pattern BuiltInLaunchIdKHR :: BuiltIn
pattern BuiltInLaunchIdKHR = BuiltIn 5319

pattern BuiltInLaunchIdNV :: BuiltIn
pattern BuiltInLaunchIdNV = BuiltIn 5319

pattern BuiltInLaunchSizeKHR :: BuiltIn
pattern BuiltInLaunchSizeKHR = BuiltIn 5320

pattern BuiltInLaunchSizeNV :: BuiltIn
pattern BuiltInLaunchSizeNV = BuiltIn 5320

pattern BuiltInWorldRayOriginKHR :: BuiltIn
pattern BuiltInWorldRayOriginKHR = BuiltIn 5321

pattern BuiltInWorldRayOriginNV :: BuiltIn
pattern BuiltInWorldRayOriginNV = BuiltIn 5321

pattern BuiltInWorldRayDirectionKHR :: BuiltIn
pattern BuiltInWorldRayDirectionKHR = BuiltIn 5322

pattern BuiltInWorldRayDirectionNV :: BuiltIn
pattern BuiltInWorldRayDirectionNV = BuiltIn 5322

pattern BuiltInObjectRayOriginKHR :: BuiltIn
pattern BuiltInObjectRayOriginKHR = BuiltIn 5323

pattern BuiltInObjectRayOriginNV :: BuiltIn
pattern BuiltInObjectRayOriginNV = BuiltIn 5323

pattern BuiltInObjectRayDirectionKHR :: BuiltIn
pattern BuiltInObjectRayDirectionKHR = BuiltIn 5324

pattern BuiltInObjectRayDirectionNV :: BuiltIn
pattern BuiltInObjectRayDirectionNV = BuiltIn 5324

pattern BuiltInRayTminKHR :: BuiltIn
pattern BuiltInRayTminKHR = BuiltIn 5325

pattern BuiltInRayTminNV :: BuiltIn
pattern BuiltInRayTminNV = BuiltIn 5325

pattern BuiltInRayTmaxKHR :: BuiltIn
pattern BuiltInRayTmaxKHR = BuiltIn 5326

pattern BuiltInRayTmaxNV :: BuiltIn
pattern BuiltInRayTmaxNV = BuiltIn 5326

pattern BuiltInInstanceCustomIndexKHR :: BuiltIn
pattern BuiltInInstanceCustomIndexKHR = BuiltIn 5327

pattern BuiltInInstanceCustomIndexNV :: BuiltIn
pattern BuiltInInstanceCustomIndexNV = BuiltIn 5327

pattern BuiltInObjectToWorldKHR :: BuiltIn
pattern BuiltInObjectToWorldKHR = BuiltIn 5330

pattern BuiltInObjectToWorldNV :: BuiltIn
pattern BuiltInObjectToWorldNV = BuiltIn 5330

pattern BuiltInWorldToObjectKHR :: BuiltIn
pattern BuiltInWorldToObjectKHR = BuiltIn 5331

pattern BuiltInWorldToObjectNV :: BuiltIn
pattern BuiltInWorldToObjectNV = BuiltIn 5331

pattern BuiltInHitTNV :: BuiltIn
pattern BuiltInHitTNV = BuiltIn 5332

pattern BuiltInHitKindKHR :: BuiltIn
pattern BuiltInHitKindKHR = BuiltIn 5333

pattern BuiltInHitKindNV :: BuiltIn
pattern BuiltInHitKindNV = BuiltIn 5333

pattern BuiltInCurrentRayTimeNV :: BuiltIn
pattern BuiltInCurrentRayTimeNV = BuiltIn 5334

pattern BuiltInIncomingRayFlagsKHR :: BuiltIn
pattern BuiltInIncomingRayFlagsKHR = BuiltIn 5351

pattern BuiltInIncomingRayFlagsNV :: BuiltIn
pattern BuiltInIncomingRayFlagsNV = BuiltIn 5351

pattern BuiltInRayGeometryIndexKHR :: BuiltIn
pattern BuiltInRayGeometryIndexKHR = BuiltIn 5352

pattern BuiltInWarpsPerSMNV :: BuiltIn
pattern BuiltInWarpsPerSMNV = BuiltIn 5374

pattern BuiltInSMCountNV :: BuiltIn
pattern BuiltInSMCountNV = BuiltIn 5375

pattern BuiltInWarpIDNV :: BuiltIn
pattern BuiltInWarpIDNV = BuiltIn 5376

pattern BuiltInSMIDNV :: BuiltIn
pattern BuiltInSMIDNV = BuiltIn 5377

pattern BuiltInCullMaskKHR :: BuiltIn
pattern BuiltInCullMaskKHR = BuiltIn 6021

pattern BuiltInMax :: BuiltIn
pattern BuiltInMax = BuiltIn 0x7fffffff
